//
//  ViewController.m
//  Calculation
//
//  Created by Brad Hesse on 11/19/15.
//  Copyright © 2015 Brad Hesse. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
@property (strong, nonatomic) IBOutlet UITextField *steTextField;
@property (strong, nonatomic) IBOutlet UITextField *qtcTextField;
@property (strong, nonatomic) IBOutlet UILabel *topResultLabel;
@property (strong, nonatomic) IBOutlet UITextField *rav4TextField;
@property (strong, nonatomic) IBOutlet UIButton *calculateButton;
@property (strong, nonatomic) IBOutlet NSLayoutConstraint *topConstraint;
@property (strong, nonatomic) IBOutlet UILabel *resultLabel;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.topResultLabel.hidden = YES;
    self.resultLabel.hidden = YES;
    
    self.qtcTextField.delegate = self;
    self.rav4TextField.delegate = self;
    self.steTextField.delegate = self;
    if (self.view.frame.size.height < 481) {
        self.topConstraint.constant = 80;
    } else if (self.view.frame.size.height < 1138/2) {
        self.topConstraint.constant = 150;
        
    }
    
    [self.view updateConstraints];
    
    [self setNeedsStatusBarAppearanceUpdate];
}

-(BOOL)textFieldShouldReturn:(UITextField *)textField
{
    if (textField == self.steTextField) {
        [self.qtcTextField becomeFirstResponder];
    } else if (textField == self.qtcTextField) {
        [self.rav4TextField becomeFirstResponder];
    } else {
        [self.rav4TextField resignFirstResponder];
    }
    
    return NO;
}

-(UIStatusBarStyle)preferredStatusBarStyle
{
    return UIStatusBarStyleLightContent;
}

- (IBAction)calculateButtonPressed:(UIButton *)sender
{
    float qtc, ste, rav4, res;
    
    [self.qtcTextField resignFirstResponder];
    [self.rav4TextField resignFirstResponder];
    [self.steTextField resignFirstResponder];
    
    self.resultLabel.hidden = NO;
    self.topResultLabel.hidden = NO;
    
    if ([self.qtcTextField.text isEqualToString:@""]) {
        qtc = 0;
        self.qtcTextField.text = @"0";
    } else {
        qtc = [self.qtcTextField.text floatValue];
    }
    
    if ([self.steTextField.text isEqualToString:@""]) {
        ste = 0;
        self.steTextField.text = @"0";
    } else {
        ste = [self.steTextField.text floatValue];
    }
    
    if ([self.rav4TextField.text isEqualToString:@""]) {
        rav4 = 0;
        self.rav4TextField.text = @"0";
    } else {
        rav4 = [self.rav4TextField.text floatValue];
    }
    
    res = (1.196 * ste) + (0.059 * qtc) - (0.326 * rav4);
    self.resultLabel.text = [NSString stringWithFormat:@"%.5f", res];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
